> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Donation details



## OpenAPI

````yaml get /admin/donation/{donation_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donation/{donation_id}:
    get:
      tags:
        - Donations
      summary: Donation details
      operationId: fa546f9f1d9782a7e6e231fdde98b168
      parameters:
        - name: donation_id
          in: path
          description: The ID of the donation to view
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Donation edited successfully
          content:
            application/json:
              schema:
                properties:
                  donation:
                    properties:
                      id:
                        type: integer
                        example: 1
                      designation:
                        type: string
                        example: Health
                      donor_id:
                        type: integer
                        example: 1
                      amount:
                        type: number
                        example: 100
                      method:
                        type: string
                        example: Credit Card
                      frequency:
                        type: string
                        example: Monthly
                      created_at:
                        type: string
                        example: '2022-01-01 00:00:00'
                      updated_at:
                        type: string
                        example: '2022-01-01 00:00:00'
                    type: object
                type: object
        '404':
          description: Donation not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Donation not found
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````